{if ($content_only == 0)}
    {include file="$tpl_dir./breadcrumb.tpl"}
{/if}

{assign var=page_title value=$meta_title|replace:'-':''|replace:$shop_name:''|escape:'htmlall':'UTF-8'}
{capture name=editorialTitle}
    {if isset($cms_category)}
        {$cms_category->name|escape:'htmlall':'UTF-8'}
    {else}
        {$page_title}
    {/if}
{/capture}

{capture name=editorialContent}
    {if isset($cms) && !isset($cms_category)}
        {if !$cms->active}
            <br />
            <div id="admin-action-cms">
                <p>{l s='This CMS page is not visible to your customers.'}
                <input type="hidden" id="admin-action-cms-id" value="{$cms->id}" />
                <input type="submit" value="{l s='Publish'}" onclick="submitPublishCMS('{$base_dir}{$smarty.get.ad|escape:'htmlall':'UTF-8'}', 0, '{$smarty.get.adtoken|escape:'htmlall':'UTF-8'}')"/>
                <input type="submit" value="{l s='Back'}" onclick="submitPublishCMS('{$base_dir}{$smarty.get.ad|escape:'htmlall':'UTF-8'}', 1, '{$smarty.get.adtoken|escape:'htmlall':'UTF-8'}')"/>
                </p>
                <div class="clear" ></div>
                <p id="admin-action-result"></p>
                </p>
            </div>
        {/if}
        <div class="rte{if $content_only} content_only{/if}">
            {$cms->content}
        </div>
    {elseif isset($cms_category)}
        <div class="block-cms">
            {if isset($sub_category) & !empty($sub_category)}	
                <p class="title_block">{l s='List of sub categories in %s:' sprintf=$cms_category->name}</p>
                <ul class="bullet">
                    {foreach from=$sub_category item=subcategory}
                        <li>
                            <a href="{$link->getCMSCategoryLink($subcategory.id_cms_category, $subcategory.link_rewrite)|escape:'htmlall':'UTF-8'}">{$subcategory.name|escape:'htmlall':'UTF-8'}</a>
                        </li>
                    {/foreach}
                </ul>
            {/if}
            {if isset($cms_pages) & !empty($cms_pages)}
            <p class="title_block">{l s='List of pages in %s:' sprintf=$cms_category->name}</p>
                <ul class="bullet">
                    {foreach from=$cms_pages item=cmspages}
                        <li>
                            <a href="{$link->getCMSLink($cmspages.id_cms, $cmspages.link_rewrite)|escape:'htmlall':'UTF-8'}">{$cmspages.meta_title|escape:'htmlall':'UTF-8'}</a>
                        </li>
                    {/foreach}
                </ul>
            {/if}
        </div>
    {else}
        {capture name=title}{l s='This page does not exist.'}{/capture}
        {include file="$tpl_dir./errors.tpl" title=$smarty.capture.title}
    {/if}
{/capture}

<div id="cms_page">
    {if	file_exists("$tpl_dir./modules/blog.tpl")}
        {include file="$tpl_dir./modules/blog.tpl" editorialTitle=$smarty.capture.editorialTitle editorialContent=$smarty.capture.editorialContent}
    {else}
        {capture name=title}{l s='/modules/blog.tpl file does not exist.'}{/capture}
        {include file="$tpl_dir./errors.tpl" title=$smarty.capture.title}
        {$smarty.capture.editorialTitle}
        {$smarty.capture.editorialContent}
    {/if}
</div>