{if $bd_ajax_allowed}
<script type="text/javascript">
var CUSTOMIZE_TEXTFIELD = {if isset($CUSTOMIZE_TEXTFIELD)}{$CUSTOMIZE_TEXTFIELD}{else}''{/if};
var img_dir = '{$img_dir}';
</script>
{/if}
<script type="text/javascript">
var customizationIdMessage = '{l s='Customization #' js=1}';
var removingLinkText = '{l s='remove this product from my cart' js=1}';
var freeShippingTranslation = '{l s='Free shipping!' js=1}';
var freeProductTranslation = '{l s='Free!' js=1}';
var delete_txt = '{l s='Delete' js=1}';
</script>

{capture name=path}{l s='Your shopping cart'}{/capture}
{include file="$tpl_dir./breadcrumb.tpl"}

<div class=" bd-shoppingcart">
    <div class=" bd-carttitle-1">
    <h2>{l s='Shopping cart summary'}</h2>
</div>

    {if isset($account_created)}
        {capture name=success}{l s='Your account has been created.'}{/capture}
        {include file="$tpl_dir./success.tpl" success=$smarty.capture.success}
    {/if}
    {assign var='current_step' value='summary'}
    {if !isset($empty)}
        {include file="$tpl_dir./order-steps.tpl"}
    {/if}
    {include file="$tpl_dir./errors.tpl"}

    {if isset($empty)}
        {capture name=warning}{l s='Your shopping cart is empty.'}{/capture}
        {include file="$tpl_dir./warning.tpl" warning=$smarty.capture.warning}
    {elseif $PS_CATALOG_MODE}
        {capture name=warning}{l s='This store has not accepted your new order.'}{/capture}
        {include file="$tpl_dir./warning.tpl" warning=$smarty.capture.warning}
    {else}
        <script type="text/javascript">
        // <![CDATA[
        var currencySign = '{$currencySign|html_entity_decode:2:"UTF-8"}';
        var currencyRate = '{$currencyRate|floatval}';
        var currencyFormat = '{$currencyFormat|intval}';
        var currencyBlank = '{$currencyBlank|intval}';
        var txtProduct = "{l s='product' js=1}";
        var txtProducts = "{l s='products' js=1}";
        var deliveryAddress = {$cart->id_address_delivery|intval};
        // ]]>
        </script>
        <div style="display:none" id="emptyCartWarning">
            {capture name=warning}{l s='Your shopping cart is empty.'}{/capture}
            {include file="$tpl_dir./warning.tpl" warning=$smarty.capture.warning}
        </div>
        {if isset($lastProductAdded) AND $lastProductAdded}
            <div class="cart_last_product">
                <div class="cart_last_product_header">
                    <div class="left">{l s='Last product added'}</div>
                </div>
                <a  class="cart_last_product_img" href="{$link->getProductLink($lastProductAdded.id_product, $lastProductAdded.link_rewrite, $lastProductAdded.category, null, null, $lastProductAdded.id_shop)|escape:'htmlall':'UTF-8'}"><img src="{$link->getImageLink($lastProductAdded.link_rewrite, $lastProductAdded.id_image, 'small_default')}" alt="{$lastProductAdded.name|escape:'htmlall':'UTF-8'}"/></a>
                <div class="cart_last_product_content">
                    <p class="s_title_block"><a href="{$link->getProductLink($lastProductAdded.id_product, $lastProductAdded.link_rewrite, $lastProductAdded.category, null, null, null, $lastProductAdded.id_product_attribute)|escape:'htmlall':'UTF-8'}">{$lastProductAdded.name|escape:'htmlall':'UTF-8'}</a></p>
                    {if isset($lastProductAdded.attributes) && $lastProductAdded.attributes}<a href="{$link->getProductLink($lastProductAdded.id_product, $lastProductAdded.link_rewrite, $lastProductAdded.category, null, null, null, $lastProductAdded.id_product_attribute)|escape:'htmlall':'UTF-8'}">{$lastProductAdded.attributes|escape:'htmlall':'UTF-8'}</a>{/if}
                </div>
            </div>
        {/if}
        <p>{l s='Your shopping cart contains:'} <span id="summary_products_quantity">{$productNumber} {if $productNumber == 1}{l s='product'}{else}{l s='products'}{/if}</span></p>
        <div id="order-detail-content" class="table_block">
            <div class=" bd-shoppingcarttable-1">
<div class="table-responsive">
<table id="cart_summary" class="std  bd-table">
		<thead>
			<tr>
				<th class="cart_product first_item">&nbsp;</th>
				<th class="cart_description item">{l s='Product'}</th>
				<!--<th class="cart_ref item">{l s='Ref.'}</th>-->
				<th class="cart_unit item">{l s='Price'}</th>
				<th class="cart_quantity item">{l s='Quantity'}</th>
				<th class="cart_total item">{l s='Total'}</th>
				<th class="cart_delete last_item">&nbsp;</th>
			</tr>
		</thead>
		<tbody>
		{foreach $products as $product}
			{assign var='productId' value=$product.id_product}
			{assign var='productAttributeId' value=$product.id_product_attribute}
			{assign var='quantityDisplayed' value=0}
			{assign var='odd' value=$product@iteration%2}
			{assign var='ignoreProductLast' value=isset($customizedDatas.$productId.$productAttributeId) || count($gift_products)}
			{* Display the product line *}
			{include file="./shopping-cart-product-line.tpl" productLast=$product@last productFirst=$product@first}
			{* Then the customized datas ones*}
			{if isset($customizedDatas.$productId.$productAttributeId)}
				{foreach $customizedDatas.$productId.$productAttributeId[$product.id_address_delivery] as $id_customization=>$customization}
					<tr id="product_{$product.id_product}_{$product.id_product_attribute}_{$id_customization}_{$product.id_address_delivery|intval}" class="product_customization_for_{$product.id_product}_{$product.id_product_attribute}_{$product.id_address_delivery|intval} customization alternate_item {if $product@last && $customization@last && !count($gift_products)}last_item{/if} {if !$odd}alt{/if}">
						<td></td>
						<td colspan="3">
							{foreach $customization.datas as $type => $custom_data}
								{if $type == $CUSTOMIZE_FILE}
									<div class="customizationUploaded">
										<ul class="customizationUploaded">
											{foreach $custom_data as $picture}
												<li><img src="{$pic_dir}{$picture.value}_small" alt="" class="customizationUploaded" /></li>
											{/foreach}
										</ul>
									</div>
								{elseif $type == $CUSTOMIZE_TEXTFIELD}
									<ul class="typedText">
										{foreach $custom_data as $textField}
											<li>
												{if $textField.name}
													{$textField.name}
												{else}
													{l s='Text #'}{$textField@index+1}
												{/if}
												{l s=':'} {$textField.value}
											</li>
										{/foreach}
										
									</ul>
								{/if}

							{/foreach}
						</td>
						<td class="cart_quantity" colspan="2">
							{if isset($cannotModify) AND $cannotModify == 1}
								<span style="float:left">{if $quantityDisplayed == 0 AND isset($customizedDatas.$productId.$productAttributeId)}{$customizedDatas.$productId.$productAttributeId|@count}{else}{$product.cart_quantity-$quantityDisplayed}{/if}</span>
							{else}
                                <input type="hidden" value="{$customization.quantity}" name="quantity_{$product.id_product}_{$product.id_product_attribute}_{$id_customization}_{$product.id_address_delivery|intval}_hidden"/>
								<input size="4" type="text" value="{$customization.quantity}" class="cart_quantity_input  bd-bootstrapinput form-control" name="quantity_{$product.id_product}_{$product.id_product_attribute}_{$id_customization}_{$product.id_address_delivery|intval}"/>
								<div class="cart_quantity_button clearfix">
								<a rel="nofollow" class="cart_quantity_up" id="cart_quantity_up_{$product.id_product}_{$product.id_product_attribute}_{$id_customization}_{$product.id_address_delivery|intval}" href="{$link->getPageLink('cart', true, NULL, "add&amp;id_product={$product.id_product|intval}&amp;ipa={$product.id_product_attribute|intval}&amp;id_address_delivery={$product.id_address_delivery}&amp;id_customization={$id_customization}&amp;token={$token_cart}")}" title="{l s='Add'}"><img src="{$img_dir}icon/plus.jpg" alt="{l s='Add'}" /></a><br />
								{if $product.minimal_quantity < ($customization.quantity -$quantityDisplayed) OR $product.minimal_quantity <= 1}
								<a rel="nofollow" class="cart_quantity_down" id="cart_quantity_down_{$product.id_product}_{$product.id_product_attribute}_{$id_customization}_{$product.id_address_delivery|intval}" href="{$link->getPageLink('cart', true, NULL, "add&amp;id_product={$product.id_product|intval}&amp;ipa={$product.id_product_attribute|intval}&amp;id_address_delivery={$product.id_address_delivery}&amp;id_customization={$id_customization}&amp;op=down&amp;token={$token_cart}")}" title="{l s='Subtract'}">
									<img src="{$img_dir}icon/minus.jpg" alt="{l s='Subtract'}" />
								</a>
								{else}
								<a class="cart_quantity_down" style="opacity: 0.3;" id="cart_quantity_down_{$product.id_product}_{$product.id_product_attribute}_{$id_customization}" href="#" title="{l s='Subtract'}">
									<img src="{$img_dir}icon/minus.jpg" alt="{l s='Subtract'}" />
								</a>
								{/if}
								</div>
							{/if}
						</td>
						<td class="cart_delete">
							{if isset($cannotModify) AND $cannotModify == 1}
							{else}
								<div>
									<a rel="nofollow" class="removelink cart_quantity_delete" id="{$product.id_product}_{$product.id_product_attribute}_{$id_customization}_{$product.id_address_delivery|intval}" href="{$link->getPageLink('cart', true, NULL, "delete&amp;id_product={$product.id_product|intval}&amp;ipa={$product.id_product_attribute|intval}&amp;id_customization={$id_customization}&amp;id_address_delivery={$product.id_address_delivery}&amp;token={$token_cart}")}"><span class="
 bd-icon-43 bd-icon "></span>{*l s='Delete'*}</a>
								</div>
							{/if}
						</td>
					</tr>
					{assign var='quantityDisplayed' value=$quantityDisplayed+$customization.quantity}
				{/foreach}
				{* If it exists also some uncustomized products *}
				{if $product.quantity-$quantityDisplayed > 0}{include file="./shopping-cart-product-line.tpl" productLast=$product@last productFirst=$product@first}{/if}
			{/if}
		{/foreach}
		{assign var='last_was_odd' value=$product@iteration%2}
		{foreach $gift_products as $product}
			{assign var='productId' value=$product.id_product}
			{assign var='productAttributeId' value=$product.id_product_attribute}
			{assign var='quantityDisplayed' value=0}
			{assign var='odd' value=($product@iteration+$last_was_odd)%2}
			{assign var='ignoreProductLast' value=isset($customizedDatas.$productId.$productAttributeId)}
			{assign var='cannotModify' value=1}
			{* Display the gift product line *}
			{include file="./shopping-cart-product-line.tpl" productLast=$product@last productFirst=$product@first}
		{/foreach}
		</tbody>
	{if sizeof($discounts)}
		<tbody>
		{foreach $discounts as $discount}
			<tr class="cart_discount {if $discount@last}last_item{elseif $discount@first}first_item{else}item{/if}" id="cart_discount_{$discount.id_discount}">
				<td class="cart_discount_name" colspan="3">{$discount.name}</td>
				<td class="cart_discount_price"><span class="price-discount">
					{if !$priceDisplay}{displayPrice price=$discount.value_real*-1}{else}{displayPrice price=$discount.value_tax_exc*-1}{/if}
				</span></td>
				<td class="cart_discount_delete">1</td>
				<td class="cart_discount_price">
					<span class="price-discount price">{if !$priceDisplay}{displayPrice price=$discount.value_real*-1}{else}{displayPrice price=$discount.value_tax_exc*-1}{/if}</span>
				</td>
				<td class="price_discount_del">
					{if strlen($discount.code)}<a href="{if $opc}{$link->getPageLink('order-opc', true)}{else}{$link->getPageLink('order', true)}{/if}?deleteDiscount={$discount.id_discount}" class="price_discount_delete" title="{l s='Delete'}">{l s='Delete'}</a>{/if}
				</td>
			</tr>
		{/foreach}
		</tbody>
	{/if}
</table>
</div>
</div>
        </div>
        
        {assign var=path value="$tpl_dir./includes/block_for_shopping_cart_1.tpl" scope="parent"}
        <div class="row">
            <div class="col-md-4">
                {if !$opc}
                    <script type="text/javascript">
                        // <![CDATA[
                        var taxEnabled = "{$use_taxes}";
                        var displayPrice = "{$priceDisplay}";
                        var currencySign = '{$currencySign|html_entity_decode:2:"UTF-8"}';
                        var currencyRate = '{$currencyRate|floatval}';
                        var currencyFormat = '{$currencyFormat|intval}';
                        var currencyBlank = '{$currencyBlank|intval}';
                        var id_carrier = '{$id_carrier|intval}';
                        var id_state = '{$id_state|intval}';

                        var txtFree = "{l s='Free!'}";
                        //]]>
                    </script>

                    {if file_exists($path) && isset($countries)}
                        {include file=$path id="compare_shipping" assign=blockVars}
                        {assign var=blockContentHead value=$smarty.capture.cartBlockContentHead|regex_replace:"~<div class=\"(.*?)\"~":"<div class=\"$1 shape-only\""}

                        {$smarty.capture.cartBlockHead}
                            {$smarty.capture.cartBlockHeaderHead}
                                {l s='Estimate your shipping & taxes'}
                            {$smarty.capture.cartBlockHeaderTail}
                            {$blockContentHead}
                                <form class="std" id="compare_shipping_form" method="post" action="#" >
                                    <fieldset id="compare_shipping">
                                        <div id="carriercompare_errors" style="display: none;">
                                            {include file="$tpl_dir./emptyTplErrors.tpl"}
                                        </div>
                                        
                                        <p>
                                            <label for="id_country">{l s='Country'}</label>
                                        </p>
                                        <p>
                                            <select name="id_country" id="id_country">
                                                {foreach from=$countries item=country}
                                                    <option value="{$country.id_country}" {if $id_country == $country.id_country}selected="selected"{/if}>{$country.name|escape:'htmlall':'UTF-8'}</option>
                                                {/foreach}
                                            </select>
                                        </p>
                                        
                                        <p id="states" style="display: none;">
                                            <label for="id_state">{l s='State'}</label>
                                            <select name="id_state" id="id_state">
                                                
                                            </select>
                                        </p>
                                        
                                        <p>
                                            <label for="zipcode">{l s='Zipcode'}</label>
                                            <input type="text" name="zipcode" id="zipcode" value="{$zipcode|escape:'htmlall':'UTF-8'}"/><br/> ({l s='Needed for certain carriers'})
                                        </p>
                                        
                                        <div id="availableCarriers" style="display: none;">
                                            <table cellspacing="0" cellpadding="0" id="availableCarriers_table" class="std">
                                                <thead>
                                                    <tr>
                                                        <th class="carrier_action first_item"></th>
                                                        <th class="carrier_name item">{l s='Carrier'}</th>
                                                        <th class="carrier_infos item">{l s='Information'}</th>
                                                        <th class="carrier_price last_item">{l s='Price'}</th>
                                                    </tr>
                                                </thead>
                                                <tbody id="carriers_list">
                                                    
                                                </tbody>
                                            </table>
                                        </div>
                                        <div id="noCarrier" style="display: none;">
                                            {capture name=warning}{l s='No carrier is available for this selection'}{/capture}
                                            {include file="$tpl_dir./warning.tpl" warning=$smarty.capture.warning}
                                        </div>
                                        
                                        <p class="center">
                                            <input class=" bd-button" id="carriercompare_submit" type="submit" name="carriercompare_submit" value="{l s='Refresh'}"/>
                                        </p>
                                    </fieldset>
                                </form>
                                {if version_compare($smarty.const._PS_VERSION_,'1.6','>=')}
                                    {addJsDef taxEnabled=$use_taxes}
                                    {addJsDef displayPrice=$priceDisplay}
                                    {addJsDef id_carrier=$id_carrier|intval}
                                    {addJsDef id_state=$id_state|intval}
                                    {addJsDef SE_RefreshMethod=$refresh_method|intval}

                                    {addJsDefL name=SE_RedirectTS}{l s='Refreshing the page and updating your cart...' mod='carriercompare' js=1}{/addJsDefL}
                                    {addJsDefL name=SE_RefreshStateTS}{l s='Checking available states...' mod='carriercompare' js=1}{/addJsDefL}
                                    {addJsDefL name=SE_RetrievingInfoTS}{l s='Retrieving information...' mod='carriercompare' js=1}{/addJsDefL}
                                    {addJsDefL name=txtFree}{l s='Free!' mod='carriercompare' js=1}{/addJsDefL}
                                {/if}
                            {$smarty.capture.cartBlockContentTail}
                        {$smarty.capture.cartBlockTail}
                    {/if}
                {/if}
            </div>

            <div class="col-md-4">
                {if $voucherAllowed && file_exists($path)}
                    {include file=$path id="vouchers_block" assign=blockVars}
                    {assign var=blockContentHead value=$smarty.capture.cartBlockContentHead|regex_replace:"~<div class=\"(.*?)\"~":"<div class=\"$1 shape-only\""}

                    {$smarty.capture.cartBlockHead}
                        {$smarty.capture.cartBlockHeaderHead}
                            {l s="Vouchers"}
                        {$smarty.capture.cartBlockHeaderTail}
                        {$blockContentHead}
                            {if isset($errors_discount) && $errors_discount}
                                {capture name=errors}
                                    <ul class="error">
                                    {foreach $errors_discount as $k=>$error}
                                        <li>{$error|escape:'htmlall':'UTF-8'}</li>
                                    {/foreach}
                                    </ul>
                                {/capture}
                                {include file="$tpl_dir./errors.tpl" tplErrors=$smarty.capture.errors}
                            {/if}
                            <form action="{if $opc}{$link->getPageLink('order-opc', true)}{else}{$link->getPageLink('order', true)}{/if}" method="post" id="voucher">
                                <fieldset>
                                    <p class="title_block"><label for="discount_name">{l s='Vouchers'}</label></p>
                                    <p>
                                        <input type="text" id="discount_name" name="discount_name" value="{if isset($discount_name) && $discount_name}{$discount_name}{/if}" />
                                    </p>
                                    <p class="submit"><input type="hidden" name="submitDiscount" /><input type="submit" name="submitAddDiscount" value="{l s='OK'}" class=" bd-button"/></p>
                                </fieldset>
                            </form>
                            {if $displayVouchers}
                                <p id="title" class="title_offers">{l s='Take advantage of our offers:'}</p>
                                <div id="display_cart_vouchers">
                                {foreach $displayVouchers as $voucher}
                                    {if $voucher.code != ''}<span onclick="$('#discount_name').val('{$voucher.code}');return false;" class="voucher_name">{$voucher.code}</span> - {/if}{$voucher.name}<br />
                                {/foreach}
                                </div>
                            {/if}
                        {$smarty.capture.cartBlockContentTail}
                    {$smarty.capture.cartBlockTail}
                {/if}
            </div>

            <div class="col-md-4">
                {if file_exists($path)}
                    {include file=$path id="grand_total_block" assign=blockVars}

                    {$smarty.capture.cartBlockHead}
                        {$smarty.capture.cartBlockHeaderHead}
                            {l s="Grand total"}
                        {$smarty.capture.cartBlockHeaderTail}
                        {$smarty.capture.cartBlockContentHead}
                            <div class=" bd-shoppingcartgrandtotal-1 cart-totals grand-totals">
    <table class=" bd-table-4">
        <tbody>
            {if $use_taxes}
                {if $priceDisplay}
                    <tr class="cart_total_price">
                        <td colspan="5">{if $display_tax_label}{l s='Total products (tax excl.):'}{else}{l s='Total products:'}{/if}</td>
                        <td colspan="2" class="price" id="total_product">{displayPrice price=$total_products}</td>
                    </tr>
                {else}
                    <tr class="cart_total_price">
                        <td colspan="5">{if $display_tax_label}{l s='Total products (tax incl.):'}{else}{l s='Total products:'}{/if}</td>
                        <td colspan="2" class="price" id="total_product">{displayPrice price=$total_products_wt}</td>
                    </tr>
                {/if}
            {else}
                <tr class="cart_total_price">
                    <td colspan="5">{l s='Total products:'}</td>
                    <td colspan="2" class="price" id="total_product">{displayPrice price=$total_products}</td>
                </tr>
            {/if}
            <tr class="cart_total_voucher" {if $total_discounts == 0}style="display:none"{/if}>
                <td colspan="5">
                {if $use_taxes && $display_tax_label}
                    {l s='Total vouchers (tax excl.):'}
                {else}
                    {l s='Total vouchers:'}
                {/if}
                </td>
                <td colspan="2" class="price-discount price" id="total_discount">
                {if $use_taxes && !$priceDisplay}
                    {assign var='total_discounts_negative' value=$total_discounts * -1}
                {else}
                    {assign var='total_discounts_negative' value=$total_discounts_tax_exc * -1}
                {/if}
                {displayPrice price=$total_discounts_negative}
                </td>
            </tr>
            <tr class="cart_total_voucher" {if $total_wrapping == 0}style="display: none;"{/if}>
                <td colspan="5">
                {if $use_taxes}
                    {if $display_tax_label}{l s='Total gift-wrapping (tax incl.):'}{else}{l s='Total gift-wrapping:'}{/if}
                {else}
                    {l s='Total gift-wrapping:'}
                {/if}
                </td>
                <td colspan="2" class="price-discount price" id="total_wrapping">
                {if $use_taxes}
                    {if $priceDisplay}
                        {displayPrice price=$total_wrapping_tax_exc}
                    {else}
                        {displayPrice price=$total_wrapping}
                    {/if}
                {else}
                    {displayPrice price=$total_wrapping_tax_exc}
                {/if}
                </td>
            </tr>
            {if $total_shipping_tax_exc <= 0 && !isset($virtualCart)}
                <tr class="cart_total_delivery">
                    <td colspan="5">{l s='Shipping:'}</td>
                    <td colspan="2" class="price" id="total_shipping">{l s='Free Shipping!'}</td>
                </tr>
            {else}
                {if $use_taxes}
                    {if $priceDisplay}
                        {assign var=attr value="{if $total_shipping_tax_exc <= 0} style=\"display:none;\"{/if}"}
                        <tr class="cart_total_delivery" {$attr}>
                            <td colspan="5">{if $display_tax_label}{l s='Total shipping (tax excl.):'}{else}{l s='Total shipping:'}{/if}</td>
                            <td colspan="2" class="price" id="total_shipping">{displayPrice price=$total_shipping_tax_exc}</td>
                        </tr>
                    {else}
                        {assign var=attr value="{if $total_shipping <= 0} style=\"display:none;\"{/if}"}
                        <tr class="cart_total_delivery" {$attr}>
                            <td colspan="5">{if $display_tax_label}{l s='Total shipping (tax incl.):'}{else}{l s='Total shipping:'}{/if}</td>
                            <td colspan="2" class="price" id="total_shipping" >{displayPrice price=$total_shipping}</td>
                        </tr>
                    {/if}
                {else}
                    {assign var=attr value="{if $total_shipping_tax_exc <= 0} style=\"display:none;\"{/if}"}
                    <tr class="cart_total_delivery" {$attr}>
                        <td colspan="5">{l s='Total shipping:'}</td>
                        <td colspan="2" class="price" id="total_shipping" >{displayPrice price=$total_shipping_tax_exc}</td>
                    </tr>
                {/if}
            {/if}
            {if $use_taxes}
            <tr class="cart_total_price">
                <td colspan="5">{l s='Total (tax excl.):'}</td>
                <td colspan="2" class="price" id="total_price_without_tax">{displayPrice price=$total_price_without_tax}</td>
            </tr>
            <tr class="cart_total_tax">
                <td colspan="5">{l s='Total tax:'}</td>
                <td colspan="2" class="price" id="total_tax">{displayPrice price=$total_tax}</td>
            </tr>
            {/if}
        </tbody>
        <tfoot>
            <tr class="cart_total_price  bd-container-40 bd-tagstyles">
                <td colspan="5" class="price">{l s='Total:'}</td>
                <td colspan="2" class="price total_price_container" id="total_price_container">
                    <span id="total_price">
                    {if $use_taxes}
                        {displayPrice price=$total_price}
                    {else}
                        {displayPrice price=$total_price_without_tax}
                    {/if}
                    </span>
                </td>
            </tr>
        </tfoot>
    </table>
</div>
                        {$smarty.capture.cartBlockContentTail}
                    {$smarty.capture.cartBlockTail}
                {/if}
            </div>
        </div>
    
        {if $show_option_allow_separate_package}
            <input type="checkbox" name="allow_seperated_package" id="allow_seperated_package" {if $cart->allow_seperated_package}checked="checked"{/if} />
            <label for="allow_seperated_package">{l s='Send the available products first'}</label>
        {/if}

        {if !$opc}
            {if Configuration::get('PS_ALLOW_MULTISHIPPING')}
                        <input type="checkbox" {if $multi_shipping}checked="checked"{/if} id="enable-multishipping" />
                        <label for="enable-multishipping">{l s='I want to specify a delivery address for each individual product.'}</label>
            {/if}
        {/if}

        {if !empty($HOOK_SHOPPING_CART)}
                    <div id="HOOK_SHOPPING_CART">
                        {$HOOK_SHOPPING_CART}
                    </div>
        {/if}
        {if !empty($HOOK_SHOPPING_CART_EXTRA)}
                    <div class="cart_navigation_extra">
                        <div id="HOOK_SHOPPING_CART_EXTRA">{$HOOK_SHOPPING_CART_EXTRA}</div>
                    </div>
        {/if}
        
        {* Define the style if it doesn't exist in the PrestaShop version*}
        {* Will be deleted for 1.5 version and more *}
        {if !isset($addresses_style)}
            {$addresses_style.company = 'address_company'}
            {$addresses_style.vat_number = 'address_company'}
            {$addresses_style.firstname = 'address_name'}
            {$addresses_style.lastname = 'address_name'}
            {$addresses_style.address1 = 'address_address1'}
            {$addresses_style.address2 = 'address_address2'}
            {$addresses_style.city = 'address_city'}
            {$addresses_style.country = 'address_country'}
            {$addresses_style.phone = 'address_phone'}
            {$addresses_style.phone_mobile = 'address_phone_mobile'}
            {$addresses_style.alias = 'address_title'}
        {/if}

        {if ((!empty($delivery_option) AND !isset($virtualCart)) OR $delivery->id OR $invoice->id) AND !$opc}
            <div class="row">
                {if !isset($formattedAddresses)}
                    {if $delivery->id}
                        <div class="col-md-4">
                            {if file_exists($path)}
                                {include file=$path id="delivery_address" assign=blockVars}

                                {$smarty.capture.cartBlockHead}
                                    {$smarty.capture.cartBlockHeaderHead}
                                        {l s='Delivery address'}
                                    {$smarty.capture.cartBlockHeaderTail}
                                    {$smarty.capture.cartBlockContentHead}
                                        <ul>
                                            {if $delivery->company}<li class="address_company">{$delivery->company|escape:'htmlall':'UTF-8'}</li>{/if}
                                            <li class="address_name">{$delivery->firstname|escape:'htmlall':'UTF-8'} {$delivery->lastname|escape:'htmlall':'UTF-8'}</li>
                                            <li class="address_address1">{$delivery->address1|escape:'htmlall':'UTF-8'}</li>
                                            {if $delivery->address2}<li class="address_address2">{$delivery->address2|escape:'htmlall':'UTF-8'}</li>{/if}
                                            <li class="address_city">{$delivery->postcode|escape:'htmlall':'UTF-8'} {$delivery->city|escape:'htmlall':'UTF-8'}</li>
                                            <li class="address_country">{$delivery->country|escape:'htmlall':'UTF-8'} {if $delivery_state}({$delivery_state|escape:'htmlall':'UTF-8'}){/if}</li>
                                        </ul>
                                    {$smarty.capture.cartBlockContentTail}
                                {$smarty.capture.cartBlockTail}
                            {/if}
                        </div>
                    {/if}
                    {if $invoice->id}
                        <div class="col-md-4">
                            {if file_exists($path)}
                                {include file=$path id="invoice_address" assign=blockVars}

                                {$smarty.capture.cartBlockHead}
                                    {$smarty.capture.cartBlockHeaderHead}
                                        {l s='Invoice address'}
                                    {$smarty.capture.cartBlockHeaderTail}
                                    {$smarty.capture.cartBlockContentHead}
                                        <ul>
                                            {if $invoice->company}<li class="address_company">{$invoice->company|escape:'htmlall':'UTF-8'}</li>{/if}
                                            <li class="address_name">{$invoice->firstname|escape:'htmlall':'UTF-8'} {$invoice->lastname|escape:'htmlall':'UTF-8'}</li>
                                            <li class="address_address1">{$invoice->address1|escape:'htmlall':'UTF-8'}</li>
                                            {if $invoice->address2}<li class="address_address2">{$invoice->address2|escape:'htmlall':'UTF-8'}</li>{/if}
                                            <li class="address_city">{$invoice->postcode|escape:'htmlall':'UTF-8'} {$invoice->city|escape:'htmlall':'UTF-8'}</li>
                                            <li class="address_country">{$invoice->country|escape:'htmlall':'UTF-8'} {if $invoice_state}({$invoice_state|escape:'htmlall':'UTF-8'}){/if}</li>
                                        </ul>
                                    {$smarty.capture.cartBlockContentTail}
                                {$smarty.capture.cartBlockTail}
                            {/if}
                        </div>
                    {/if}
                {else}
                    {foreach  from=$formattedAddresses item=address name=myLoop}
                        <div class="col-md-4">
                            {if file_exists($path)}
                                {assign var=id value="addresses_{$smarty.foreach.myLoop.index}"}
                                {include file=$path id=$id assign=blockVars}

                                {$smarty.capture.cartBlockHead}
                                    {$smarty.capture.cartBlockHeaderHead}
                                        {$address.object.alias}
                                    {$smarty.capture.cartBlockHeaderTail}
                                    {$smarty.capture.cartBlockContentHead}
                                        <ul class="address {if $address@last}last_item{elseif $address@first}first_item{/if} {if $address@index % 2}alternate_item{else}item{/if}">
                                            {foreach $address.ordered as $pattern}
                                                {assign var=addressKey value=" "|explode:$pattern}
                                                <li>
                                                {foreach $addressKey as $key}
                                                    <span class="{if isset($addresses_style[$key])}{$addresses_style[$key]}{/if}">
                                                        {if isset($address.formated[$key])}
                                                            {$address.formated[$key]|escape:'htmlall':'UTF-8'}
                                                        {/if}
                                                    </span>
                                                {/foreach}
                                                </li>
                                            {/foreach}
                                        </ul>
                                    {$smarty.capture.cartBlockContentTail}
                                {$smarty.capture.cartBlockTail}
                            {/if}
                        </div>
                    {/foreach}
                {/if}
            </div>
        {/if}

        <p class="cart_navigation">
            {if isset($current_step)}
    {if $current_step=='summary'}
        {assign var=path value="{if (isset($smarty.server.HTTP_REFERER) && strstr($smarty.server.HTTP_REFERER, 'order.php')) || isset($smarty.server.HTTP_REFERER) && strstr($smarty.server.HTTP_REFERER, 'order-opc') || !isset($smarty.server.HTTP_REFERER) || isset($smarty.get.theme_name)}{$link->getPageLink('index')}{else}{$smarty.server.HTTP_REFERER|escape:'htmlall':'UTF-8'|secureReferrer}{/if}"}
            <a href="{$path}" class=" bd-button" title="{l s='Continue shopping'}">&laquo; {l s='Continue shopping'}</a>
        {if !$opc}
            {assign var=path value="{if $back}{$link->getPageLink('order', true, NULL, 'step=1&amp;back={$back}')}{else}{$link->getPageLink('order', true, NULL, 'step=1')}{/if}"}
            <a href="{$path}" class="exclusive standard-checkout  bd-button" title="{l s='Next'}">{l s='Next'} &raquo;</a>
            {if Configuration::get('PS_ALLOW_MULTISHIPPING')}
                {assign var=path value="{if $back}{$link->getPageLink('order', true, NULL, 'step=1&amp;back={$back}')}{else}{$link->getPageLink('order', true, NULL, 'step=1')}{/if}&amp;multi-shipping=1"}
                <a href="{$path}" class="multishipping-button multishipping-checkout exclusive  bd-button" title="{l s='Next'}">{l s='Next'} &raquo;</a>
            {/if}
        {/if}
    {elseif $current_step=='login'}
        <span><sup>*</sup>{l s='Required field'}</span>
        <input type="hidden" name="display_guest_checkout" value="1" />
        <input type="submit" class=" bd-button" name="submitGuestAccount" id="submitGuestAccount" value="{l s='Continue'}">
    {elseif $current_step=='address'}
        <input type="hidden" class="hidden" name="step" value="2" />
        <input type="hidden" name="back" value="{$back}" />
        {assign var=path value="{$link->getPageLink($back_order_page, true, NULL, "step=0{if $back}&back={$back}{/if}")}"}
        <a href="{$path}" title="{l s='Previous'}" class=" bd-button">&laquo; {l s='Previous'}</a>
        <input type="submit" name="processAddress" value="{l s='Next'} &raquo;" class=" bd-button" />
    {elseif $current_step=='shipping'}
        <input type="hidden" name="step" value="3" />
        <input type="hidden" name="back" value="{$back}" />
        {if !$is_guest}
            {if $back}
                {assign var=path value="{$link->getPageLink('order', true, NULL, "step=1&back={$back}&multi-shipping={$multi_shipping}")}"}
                <a href="{$path}" title="{l s='Previous'}" class=" bd-button">&laquo; {l s='Previous'}</a>
            {else}
                {assign var=path value="{$link->getPageLink('order', true, NULL, "step=1&multi-shipping={$multi_shipping}")}"}
                <a href="{$path}" title="{l s='Previous'}" class=" bd-button">&laquo; {l s='Previous'}</a>
            {/if}
        {else}
                {assign var=path value="{$link->getPageLink('order', true, NULL, "multi-shipping={$multi_shipping}")}"}
                <a href="{$path}" title="{l s='Previous'}" class=" bd-button">&laquo; {l s='Previous'}</a>
        {/if}
        {if isset($virtual_cart) && $virtual_cart || (isset($delivery_option_list) && !empty($delivery_option_list))}
            <input type="submit" name="processCarrier" value="{l s='Next'} &raquo;" class=" bd-button" />
        {/if}
    {elseif $current_step=='payment'}
        {assign var=path value="{$link->getPageLink('order', true, NULL, "step=2")}"}
        <a href="{$path}" title="{l s='Previous'}" class=" bd-button">&laquo; {l s='Previous'}</a>
    {/if}
{elseif isset($guestCheckoutBtn)}
    <span><sup>*</sup>{l s='Required field'}</span>
    <input type="hidden" name="display_guest_checkout" value="1" />
    <button type="submit" style="float: right;" name="submitGuestAccount" id="submitGuestAccount">
        <span>
            {l s='Proceed to checkout'}
            <i class="icon-chevron-right right"></i>
        </span>
    </button>
{/if}
        </p>

    {/if}
</div>